package deconvolutionj;

/**
 * Title:        DeconvolutionJ --- Image Reconstruction with ImageJ
 * Description:
 * Copyright:    Copyright (c) 2001, 2002
 * Company:      Wake Forest University School of Medicine, Department of Medical Engineering
 *               Winston-Salem, North Carolina, USA
 * @author       Nick Linnenbrgger (nilin@web.de)
 */

public class ComplexNumPrecision2
{
    private String name;
    private static String enumerationDescription = new String( "Complex Number Precision" );

    private ComplexNumPrecision2( String name ) { this.name = name; }

    public String toString() { return name; }

    public String getEnumerationDescription() { return enumerationDescription; }

    public boolean equals( Object obj )
    {
        if ( !( obj instanceof ComplexNumPrecision2 ) )
           return false;
        else
            return ( this.name == ( ( ComplexNumPrecision2 ) obj ).name );
    }

    public static final ComplexNumPrecision2 SINGLE = new ComplexNumPrecision2( "Single Precision" );
    public static final ComplexNumPrecision2 DOUBLE = new ComplexNumPrecision2( "Double Precision" );
}
