package deconvolutionj;

import ij.*;

/**
 * Title:        DeconvolutionJ --- Image Reconstruction with ImageJ
 * Description:
 * Copyright:    Copyright (c) 2001, 2002
 * Company:      Wake Forest University School of Medicine, Department of Medical Engineering
 *               Winston-Salem, North Carolina, USA
 * @author       Nick Linnenbrgger (nilin@web.de)
 */

// class is final for performance reasons
final public class SinglePrecFFT3D2 extends FFT3D2
{
    public SinglePrecFFT3D2() { super(); }

    public SinglePrecFFT3D2( ImageStack sourceReal ) { super( sourceReal ); }

    public SinglePrecFFT3D2( ImageStack sourceReal, ImageStack sourceImag )
    {
        super( sourceReal, sourceImag );
    }

    public SinglePrecFFT3D2( ComplexNum2[][][] source ) { super( source ); }


    protected ComplexNum2 makeComplexNumber()
    {
        return new SinglePrecComplNum2();
    }

    protected ComplexNum2 makeComplexNumber( ComplexNum2 c )
    {
        return new SinglePrecComplNum2( c );
    }

    protected ComplexNum2 makeComplexNumber( double re, double im )
    {
        return new SinglePrecComplNum2( re, im );
    }

    protected ComplexNum2 makeComplexNumber( double re )
    {
        return new SinglePrecComplNum2( re );
    }

    public String getPrecision() { return "Single Precision"; }
}